## atspi-collection atspi-collection — An interface designed to allow accessibles which satisfy a set of criteria to be returned. |

## Functions

gboolean | atspi_collection_is_ancestor_of ()
GArray * | atspi_collection_get_matches ()
GArray * | atspi_collection_get_matches_to ()
GArray * | atspi_collection_get_matches_from ()
AtspiAccessible * | atspi_collection_get_active_descendant ()

## Types and Values

| AtspiCollection

## Object Hierarchy

        GInterface
        ╰── AtspiCollection

## Known Implementations

AtspiCollection is implemented by AtspiAccessible.

## Description

An interface designed to allow accessibles which satisfy a set of criteria to be returned. This interface can be used to avoid iteration or client-side search of the object tree.

## Functions

### atspi_collection_is_ancestor_of ()

    gboolean
    atspi_collection_is_ancestor_of (AtspiCollection *collection,
                                     AtspiAccessible *test,
                                     GError **error);

Not yet implemented.

### atspi_collection_get_matches ()

    GArray *
    atspi_collection_get_matches (AtspiCollection *collection,
                                  AtspiMatchRule *rule,
                                  AtspiCollectionSortOrder sortby,
                                  gint count,
                                  gboolean traverse,
                                  GError **error);

Gets all AtspiAccessible objects from the `collection` matching a given `rule` .

#### Parameters

collection | A pointer to the AtspiCollection to query. |
rule | An AtspiMatchRule describing the match criteria. |
sortby | An AtspiCollectionSortOrder specifying the way the results are to be sorted. |
count | The maximum number of results to return, or 0 for no limit. |
traverse | Not supported. |

#### Returns

All AtspiAccessible objects matching the given match rule.

[element-type AtspiAccessible*][transfer full]

### atspi_collection_get_matches_to ()

    GArray *
    atspi_collection_get_matches_to (AtspiCollection *collection,
                                     AtspiAccessible *current_object,
                                     AtspiMatchRule *rule,
                                     AtspiCollectionSortOrder sortby,
                                     AtspiCollectionTreeTraversalType tree,
                                     gboolean limit_scope,
                                     gint count,
                                     gboolean traverse,
                                     GError **error);

Gets all AtspiAccessible objects from the `collection` , after `current_object` , matching a given `rule` .

#### Parameters

collection | A pointer to the AtspiCollection to query. |
current_object | The object at which to start searching. |
rule | An AtspiMatchRule describing the match criteria. |
sortby | An AtspiCollectionSortOrder specifying the way the results are to be sorted. |
tree | An AtspiCollectionTreeTraversalType specifying restrictions on the objects to be traversed. |
limit_scope | If TRUE, only descendants of `current_object` 's parent will be returned. Otherwise (if FALSE), any accessible may be returned if it would preceed `current_object` in a flattened hierarchy. |
count | The maximum number of results to return, or 0 for no limit. |
traverse | Not supported. |

#### Returns

All AtspiAccessible objects matching the given match rule after `current_object` .

[element-type AtspiAccessible*][transfer full]

### atspi_collection_get_matches_from ()

    GArray *
    atspi_collection_get_matches_from (AtspiCollection *collection,
                                       AtspiAccessible *current_object,
                                       AtspiMatchRule *rule,
                                       AtspiCollectionSortOrder sortby,
                                       AtspiCollectionTreeTraversalType tree,
                                       gint count,
                                       gboolean traverse,
                                       GError **error);

Gets all AtspiAccessible objects from the `collection` , before `current_object` , matching a given `rule` .

#### Parameters

collection | A pointer to the AtspiCollection to query. |
current_object | Upon reaching this object, searching should stop. |
rule | An AtspiMatchRule describing the match criteria. |
sortby | An AtspiCollectionSortOrder specifying the way the results are to be sorted. |
tree | An AtspiCollectionTreeTraversalType specifying restrictions on the objects to be traversed. |
count | The maximum number of results to return, or 0 for no limit. |
traverse | Not supported. |

#### Returns

All AtspiAccessible objects matching the given match rule that preceed `current_object` .

[element-type AtspiAccessible*][transfer full]

### atspi_collection_get_active_descendant ()

    AtspiAccessible *
    atspi_collection_get_active_descendant
                                   (AtspiCollection *collection,
                                    GError **error);

#### Returns

The active descendant of the given object. Not yet implemented.

[transfer full]

## Types and Values

### AtspiCollection

    typedef struct _AtspiCollection AtspiCollection;